Embedder Class Reference

`#include <Embedder.h>`

## Public Member Functions

| Embedder (void)
| ~Embedder (void)
void | embed (void)

## Private Member Functions

const Matching * | calculateMatching (ProgressOutput *prout)
void | embedEdge (Edge *e)
void | embedExposedVertex (Vertex *v)

## Private Attributes

BitString | ToEmbed

## Static Private Attributes

static const unsigned int | Default_NConstrHeur = 1

## Constructor & Destructor Documentation

## Embedder()

Embedder::Embedder | ( | void |  | ) |

## ~Embedder()

Embedder::~Embedder | ( | void |  | ) |

## Member Function Documentation

## calculateMatching()

const Matching * Embedder::calculateMatching | ( | ProgressOutput * | prout | ) |

private

do the matching algorithms

## embed()

void Embedder::embed | ( | void |  | ) |

## embedEdge()

void Embedder::embedEdge | ( | Edge * | e | ) |

private

embed the two bits represented by the two vertices adjacent to e

## embedExposedVertex()

void Embedder::embedExposedVertex | ( | Vertex * | v | ) |

private

embed the bit represented by the Vertex v

## Member Data Documentation

## Default_NConstrHeur

const unsigned int Embedder::Default_NConstrHeur = 1

static private

## ToEmbed

BitString Embedder::ToEmbed

private

The documentation for this class was generated from the following files:

- Embedder.h
- Embedder.cc